\setbeamertemplate{frametitle continuation}{}
\makeatletter
\setlength{\metropolis@frametitle@padding}{1.5ex}
\newlength{\metropolis@frametitle@height}
\setlength{\metropolis@frametitle@height}{%
  2\metropolis@frametitle@padding +%
  \totalheightof{
    \ifcsdef{metropolis@frametitleformat}{\metropolis@frametitleformat X}{X}%
  } + 0.2ex
}
\def\insertlogo{
  \begin{tikzpicture}[remember picture,overlay]
    \node[anchor=north, inner sep=0, outer sep=0] at (current page.north){%
      \begin{beamercolorbox}[ht=\metropolis@frametitle@height,wd=\paperwidth]{framebanner}
      \hfill\resizebox{!}{\metropolis@frametitle@height}{\usebeamertemplate*{logo}}
      \end{beamercolorbox}
    };
  \end{tikzpicture}
}
\makeatother

